问一下tab自动补全的问题

为当前最终发行版之前的所有版本提供支持
回复
zhenrenzhao
帖子: 33
注册时间: 2007-01-02 21:20
送出感谢: 0
接收感谢: 0

问一下tab自动补全的问题

#1

帖子 zhenrenzhao » 2007-06-30 10:19

好像有些灵有些不灵,对文件名和目录有效
但对命令好像没有用,比如 apt-g+(tab)有用,但后面的install用tab又无效了,sudo apt-g+(tab)都没有效果。
这是什么奇怪的现象啊,重装bash会不会有用?盼高手解答,谢谢!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-06-30 10:32

编辑你的 ~/.bashrc
启用这段代码

代码: 全选

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
fi
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
drivel
帖子: 1917
注册时间: 2006-07-08 9:21
来自: University of Science and Technology Beijing
送出感谢: 1 次
接收感谢: 0
联系:

#3

帖子 drivel » 2007-06-30 11:04

BigSnake.NET 写了:编辑你的 ~/.bashrc
启用这段代码

代码: 全选

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
fi
这样也无法补全option吧?比如后面的install
ltkun
帖子: 1335
注册时间: 2006-01-10 19:09
送出感谢: 0
接收感谢: 0

#4

帖子 ltkun » 2007-06-30 11:06

没有试过怎么知道?
zhenrenzhao
帖子: 33
注册时间: 2007-01-02 21:20
送出感谢: 0
接收感谢: 0

#5

帖子 zhenrenzhao » 2007-06-30 14:52

BigSnake.NET 写了:编辑你的 ~/.bashrc
启用这段代码

代码: 全选

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
fi
我看了居然没有这个文件,不知道是不是不小心删掉了,能不能帮我贴个完整的上来
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#6

帖子 BigSnake.NET » 2007-06-30 14:59

/etc/skel

默认的在这里..复制到自己的~/下
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#7

帖子 eexpress » 2007-06-30 15:22

lz 你什么版本啊。7.04的补全才都支持呢。
● 鸣学
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2007-06-30 15:23

eexpress 写了:lz 你什么版本啊。7.04的补全才都支持呢。
早就有这玩意了..看linuxtoy
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
zhenrenzhao
帖子: 33
注册时间: 2007-01-02 21:20
送出感谢: 0
接收感谢: 0

#9

帖子 zhenrenzhao » 2007-06-30 15:28

果然是这个原因,谢谢帮忙,虽说很细节的东西但少了还真是郁闷!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2007-06-30 15:41

BigSnake.NET 写了:
eexpress 写了:lz 你什么版本啊。7.04的补全才都支持呢。
早就有这玩意了..看linuxtoy
什么意思啊。我说补全参数的。
● 鸣学
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#11

帖子 BigSnake.NET » 2007-06-30 15:45

eexpress 写了:
BigSnake.NET 写了:
eexpress 写了:lz 你什么版本啊。7.04的补全才都支持呢。
早就有这玩意了..看linuxtoy
什么意思啊。我说补全参数的。
http://linuxtoy.org/archives/bash_tip.html
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 nihui » 2007-06-30 16:18

我的 .bashrc 文件里没有这一段代码。。。 :shock:
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
回复

回到 “老旧版本支持”